Как понизить версию Nuxt

avatar
KAVA
9 августа 2021 в 06:57
692
1
1

Я создал проект nuxt, но получаю много предупреждений, о которых можно прочитать здесь:

Nuxt js — новая установка nuxt 2.14.6 содержит предупреждения Babel о «свободной опции»

А теперь хочу создать проект не с последней версией, а с предыдущей версией 2.15.2

Как я могу это сделать?

Источник
devzom
10 августа 2021 в 07:32
0

Но это всего лишь предупреждение, и вы можете изменить его с помощью исправлений, которые люди разместили по ссылке, которую вы добавили. Ничего плохого в новейшем Nuxt нет, проблема не в нем. Лучше быть в курсе. :)

Ответы (1)

avatar
kissu
9 августа 2021 в 07:19
1

Есть некоторые проблемы безопасности в предыдущих версиях, вам лучше удалить эти предупреждения и установить последнюю версию.
Вот как исправить это предупреждение: Последняя установка Nuxt v2.15.7 с предупреждениями о «свободной» опции Babel

В противном случае, если вы хотите использовать более старую версию Nuxt, вы можете отредактировать package.json, установить его как "nuxt": "2.15.2", и снова запустить yarn (или npm i при использовании NPM).